<?php
// $Id: feedapi_node_views.views.inc,v 1.1.2.1 2008/08/21 14:20:03 aronnovak Exp $

/**
 * @file
 * Add views functionality to FeedAPI Node
 *
 * Offer feed-related arguments
 */

/**
 * Implementation of hook_views_data().
 */
function feedapi_node_views_views_data() {
  $data['feedapi_node_item']['table']['group'] = t('FeedAPI Node');
  $data['feedapi_node_item']['table']['join'] = array(
    'node' => array(
      'left_field' => 'nid',
      'field' => 'nid',
    ),
  );
  $data['feedapi_node_item']['timestamp'] = array(
    'title' => t('Timestamp'),
    'help' => t('The timestamp of this feed item'),
    'field' => array(
      'handler' => 'views_handler_field_date',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_numeric',
    ),
  );

  $data['feedapi_node_item_feed']['table']['group'] = t('FeedAPI Node');
  $data['feedapi_node_item_feed']['table']['join'] = array(
    'node' => array(
      'left_field' => 'nid',
      'field' => 'feed_item_nid',
    ),
  );
  $data['feedapi_node_item_feed']['feed_nid'] = array(
    'title' => t('Parent feed'),
    'help' => t('The feed that generated this node'),
    'relationship' => array(
      'label' => t('FeedAPI Parent Feed'),
      'base' => 'feedapi_node_item_feed',
      'base field' => 'feed_nid',
    ),
    'field' => array(
      'handler' => 'views_handler_field_numeric',
      //'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_numeric',
    ),
  );
  return $data;
}
